Skip to content

Hostnames

urlscan Pro - Historical information on hostnames and domains

Hostname History

Request

Get the historical observations for a specific hostname in the "Hostnames" data source.

Security
apikeyAuth(Required scopes: readwrite)
Path
hostnamestringrequired

The hostname to query

Example:urlscan.io
Query
limitinteger

Return at most this many results. Minimum 10 Maximum 10000 Default 1000

Default:1000
pageStatestring

Returns additional results starting from this page state from the previous API call.

GET
/api/v1/hostname/{hostname}
curl -i -X GET \
  'https://urlscan.io/api/v1/hostname/urlscan.io?limit=1000&pageState=string' \
  -H 'api-key: YOUR_API_KEY_HERE'

Responses

Successful response

Bodyapplication/json
pageStatestring

If the pageState field is set then there are additional results available. Repeat the API call with the pageState value to get the next batch of results.

Example:"xxx"
resultsArray of objects
Example:
[ { "seen_on": "2200-01-01", "source": "seenDates", "sub_id": "", "first_seen": "2023-07-28T11:20:15.617Z", "last_seen": "2023-08-04T16:09:09.591Z", "data_type": null, "data": null }, { "seen_on": "2200-01-01", "source": "shardDate", "sub_id": "", "first_seen": "2023-07-28T11:20:15.685Z", "last_seen": null, "data_type": null, "data": null }, { "seen_on": "2100-01-01", "source": "ct", "sub_id": "", "first_seen": "2023-07-28T11:20:15.617Z", "last_seen": "2023-07-28T11:21:23.599Z", "data_type": null, "data": null }, { "seen_on": "2100-01-01", "source": "pdns", "sub_id": "", "first_seen": "2023-07-28T11:21:20.079Z", "last_seen": "2023-08-04T16:09:09.574Z", "data_type": null, "data": null }, { "seen_on": "2100-01-01", "source": "pdns", "sub_id": "A", "first_seen": "2023-07-28T11:21:20.079Z", "last_seen": "2023-08-04T16:09:09.574Z", "data_type": null, "data": null }, { "seen_on": "2100-01-01", "source": "pdns", "sub_id": "MX", "first_seen": "2023-07-28T11:21:20.174Z", "last_seen": "2023-07-31T11:23:22.848Z", "data_type": null, "data": null }, { "seen_on": "2100-01-01", "source": "pdns", "sub_id": "NS", "first_seen": "2023-07-28T11:21:20.128Z", "last_seen": "2023-08-04T11:05:40.130Z", "data_type": null, "data": null }, { "seen_on": "2100-01-01", "source": "pdns", "sub_id": "SOA", "first_seen": "2023-07-28T11:21:20.176Z", "last_seen": "2023-07-31T11:23:22.849Z", "data_type": null, "data": null }, { "seen_on": "2100-01-01", "source": "scan", "sub_id": "", "first_seen": "2023-07-28T11:23:52.876Z", "last_seen": "2023-08-04T16:09:09.591Z", "data_type": null, "data": null }, { "seen_on": "2100-01-01", "source": "zonefile", "sub_id": "", "first_seen": "2023-07-30T03:00:02.440Z", "last_seen": "2023-07-30T03:00:02.444Z", "data_type": null, "data": null }, { "seen_on": "2023-08-04", "source": "pdns", "sub_id": "A#91.215.85.14", "first_seen": "2023-08-04T10:09:45.599Z", "last_seen": "2023-08-04T16:09:09.574Z", "data_type": "json", "data": {} } ]
Response
{ "results": [ {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {} ], "pageState": "xxx" }